Subject: Re: bug#11785: 24.1; term-mode doesn't respect first color change from a process

From: Glenn Morris <[email-masked]>
Date: Thu, 27 Sep 2012 03:07:17 -0400

Version: 24.3

Stefan Monnier wrote:

>> Stefan, you have some comments in term.el saying that
>> term-ansi-face-already-done should perhaps be t in more places.
>> Maybe this example shows why it shouldn't be?
>
> I can't remember any of it and don't have time to look into it now,
> so... I'll trust you on that, but in any case, it suggest complementing
> my comment.

I'm afraid I know nothing about what is going on here, I just saw by
experiment that reverting that change fixed the reported issue.
I committed it so it will hopefully get some testing that may reveal
whether or not there are any other consequences.